## com.bbn.openmap.util
Class FileUtils

    java.lang.Object
      |
      +--com.bbn.openmap.util.FileUtils

public class FileUtils
extends java.lang.Object

Constructor Summary
`FileUtils()`

Method Summary
`protected static javax.swing.JFileChooser` `getChooser(java.lang.String title)`
`static java.lang.String` `getFilePathToOpenFromUser(java.lang.String title)`
`static java.lang.String` `getFilePathToOpenFromUser(java.lang.String title, javax.swing.filechooser.FileFilter ff)`
`static java.lang.String` `getFilePathToSaveFromUser(java.lang.String title)`
`protected static java.lang.String` `handleResponse(javax.swing.JFileChooser chooser, int state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### getFilePathToSaveFromUser

    public static java.lang.String getFilePathToSaveFromUser(java.lang.String title)

### getFilePathToOpenFromUser

    public static java.lang.String getFilePathToOpenFromUser(java.lang.String title)

### getFilePathToOpenFromUser

    public static java.lang.String getFilePathToOpenFromUser(java.lang.String title,
                                                             javax.swing.filechooser.FileFilter ff)

### getChooser

    protected static javax.swing.JFileChooser getChooser(java.lang.String title)

### handleResponse

    protected static java.lang.String handleResponse(javax.swing.JFileChooser chooser,
                                                     int state)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details